<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet  xmlns:xsl="http://www.w3.org/TR/WD-xsl"
                 xmlns:html="http://www.w3.org/TR/REC-html40"
                 result-ns="html">

<!-- Root Element -->

<xsl:template match="directory">
 <HTML> 
 <HEAD>
  <title><xsl:text>DIR</xsl:text></title>
 </HEAD>
  <body bgcolor="white">
    <xsl:apply-templates select="title"/> 
   <center> <table>
    <tr> 
    <td><xsl:text>Rank</xsl:text></td>
    <td><xsl:text>File Name ID</xsl:text></td>
    <td><xsl:text>Type</xsl:text></td>
    <td><xsl:text>Size</xsl:text></td>
    <td><xsl:text>Date</xsl:text></td>
    </tr>
    <xsl:apply-templates select="resource"/> 
   </table> </center>
  </body>
 </HTML>
</xsl:template>

<xsl:template match="resource">
 <tr>
 <td><xsl:number/></td>
 <td><xsl:value-of select="name"/></td>
 <td><xsl:value-of select="type"/></td>
 <td><xsl:value-of select="length"/></td>
 <td><xsl:value-of select="date"/></td>
 </tr>
</xsl:template>

<xsl:template match="title">
 <h1><xsl:apply-templates/></h1>
</xsl:template>

</xsl:stylesheet>
