<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet  xmlns:xsl="http://www.w3.org/TR/WD-xsl"
                 xmlns:html="http://www.w3.org/TR/REC-html40"
                 result-ns="html">

<!-- Root Element -->

<xsl:template match="students">
 <HTML> 
 <HEAD>
  <title><xsl:text>Student Table</xsl:text></title>
 </HEAD>
  <body bgcolor="white">
   <ul> 
    <xsl:apply-templates/>
   </ul>
  </body>
 </HTML>
</xsl:template>

<xsl:template match="student">
 <li>
  <xsl:text>Student </xsl:text>
  <xsl:apply-templates select="name"/> 
  <xsl:text> in class </xsl:text>
  <xsl:value-of select="ancestor(students)/@class"/>
  <xsl:text>.</xsl:text>
 </li>
</xsl:template>
 
<xsl:template match="name">
  <i><xsl:apply-templates/></i>
</xsl:template>

</xsl:stylesheet>
