<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet  xmlns:xsl="http://www.w3.org/TR/WD-xsl"
xmlns:html="http://www.w3.org/TR/REC-html40/"
  result-ns="html">

<!-- Root Element -->
<xsl:template match="FED">
<HTML>
  <HEAD>
<xsl:for-each select="title">
<title>
<xsl:apply-templates/>
</title>
</xsl:for-each>
</HEAD>
<body bgcolor="white">
<p><b>Federation Name :</b><font color="red">
<xsl:value-of select="Federation"/>
</font></p>
<p><b>Federation Version :</b><font color="green">
<xsl:value-of select="FEDversion"/>
</font></p>

<xsl:apply-templates select="objectClasses"/>
<xsl:apply-templates select="interactionClasses"/>
<p>
<center><i>
<font color="red">Processed by XSL Processor on TinyServer
</font></i></center></p>
</body>
</HTML>
</xsl:template>

<xsl:template match="title">
<center><font color="red"><h1>
<xsl:apply-templates/>
</h1></font></center>
</xsl:template>

<xsl:template match="objectClasses">
<center><table border="2">
<tr><td ALIGN="CENTER">Class Name</td><td ALIGN="CENTER">Attributes</td></tr>
<xsl:apply-templates select="oclass"/>
</table></center>
</xsl:template>

<xsl:template match="objects">
<center><table border="2">
<tr><td ALIGN="CENTER">Class Name</td><td ALIGN="CENTER">Attributes</td></tr>
<xsl:apply-templates select="oclass"/>
</table></center>
</xsl:template>

<xsl:template match="oclass">
<tr><xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="name">
<td><xsl:apply-templates/></td>
</xsl:template>

<xsl:template match="Name">
<td><xsl:apply-templates/></td>
</xsl:template>


<xsl:template match="attributeList">
<td><center><table border="2">
<tr><td ALIGN="CENTER">Name</td><td ALIGN="CENTER">Order</td><td ALIGN="CENTER">Transport</td></tr>
<xsl:apply-templates/>
</table></center></td>
</xsl:template>

<xsl:template match="attribute">
<tr><xsl:apply-templates/></tr>
</xsl:template>

<xsl:template match="interactionClasses">
<p><center><table border="2">
<tr><td ALIGN="CENTER">Class Name</td><td ALIGN="CENTER">Order</td><td ALIGN="CENTER">Transport</td></tr>
<xsl:apply-templates/>
</table></center></p>
</xsl:template>

<xsl:template match="interactions">
<p><center><table border="2">
<tr><td ALIGN="CENTER">Class Name</td><td ALIGN="CENTER">Order</td><td ALIGN="CENTER">Transport</td></tr>
<xsl:apply-templates/>
</table></center></p>
</xsl:template>

<xsl:template match="iclass">
 <tr>
  <td><xsl:value-of select="name"/></td>
  <td><xsl:value-of select="order"/></td>
  <td><xsl:value-of select="transport"/></td>
  <xsl:apply-templates/>
 </tr>
</xsl:template>

<xsl:template match="parameter">
<td><xsl:apply-templates/></td>
</xsl:template>

</xsl:stylesheet>
