package edu.npac.iwt;

import java.io.*;
import java.util.*;

/**
*/
public class HttpBaseResource  
{
    
  public HttpBaseResource() {}
    
  public String 
  guessContentTypeFromName(String name) 
  {
         if (name.endsWith(".html") || name.endsWith(".htm")) 
                  return "text/html";
    else if (name.endsWith(".txt") || name.endsWith(".java")) 
                  return "text/plain";
    else if (name.endsWith(".xsl") ) return "text/xsl";
    else if (name.endsWith(".xml") ) return "text/xml";
    else if (name.endsWith(".gif") ) return "image/gif";
    else if (name.endsWith(".class") ) return "application/octet-stream";
    else if (name.endsWith(".jpg") || name.endsWith(".jpeg")) 
                  return "image/jpeg";
    else return "text/plain";
  }

  final void printHeader(PrintStream os, String mess)
  {  // send a MIME header
     os.print("HTTP/1.0 "+mess+"\r\n");
     Date now = new Date();
     os.print("Date: " + now + "\r\n");
     os.print("Server: TServer 1.0\r\n");
     os.print("Content-type: text/html" + "\r\n\r\n"); 

  }// end of printHeader()

  final void printHeader( PrintStream os, Date _date, String ctype, 
                          int clength, String mess)
  {  // send a MIME header
     os.print("HTTP/1.0 " + mess + "\r\n");
     os.print("Date: " + _date + "\r\n");
     os.print("Server: TServer 1.0\r\n");
     os.print("Content-length: " + clength + "\r\n");
     os.print("Content-type: " + ctype + "\r\n\r\n");

  }// end of printHeader()

  final void printHeader( PrintStream os, Date _date, String ctype, 
                          long clength, String mess)
  {  // send a MIME header
     os.print("HTTP/1.0 " + mess + "\r\n");
     os.print("Date: " + _date + "\r\n");
     os.print("Server: TServer 1.0\r\n");
     os.print("Content-length: " + clength + "\r\n");
     os.print("Content-type: " + ctype + "\r\n\r\n");

  }// end of printHeader()

}// end of HttpBaseResource()
