/**
PR
*/

package edu.npac.iwt.dom;

import org.w3c.dom.Attr;
import org.w3c.dom.Node;

//
//
// FreedomAttribute
//
//
public class 
FreedomAttribute extends FreedomComponent implements Attr
{
	String		name;
	String		value;
	boolean		specified;

	public
	FreedomAttribute (String name)
	{
		this(name, "", false);
	}

	public
	FreedomAttribute (String name, String value)
	{
		this(name, value, true);
	}

	public
	FreedomAttribute (String name, String value, boolean specified)
	{
		super(ATTRIBUTE_NODE);

		this.name = name;
		this.value = value;
		this.specified = specified;
	}

	public String            
	toString() { return value; }

// org.w3c.dom.Node impl.

	public String getNodeName () { return name; }

	public String getNodeValue () { return value; }

	public void setNodeValue (String arg) { value = arg; }

// org.w3c.dom.Attribute impl.

	public String            getName() { return name; }

	public boolean           getSpecified() { return specified; }

    /** ??? */
	public void              
	setSpecified(boolean arg) { specified = arg;
}

	public String              
	getValue() { return value; }

	public void              
	setValue(String arg) { value = arg; }
}

