package edu.npac.iwt.dom;

import java.util.Vector;
import org.w3c.dom.*;

//import com.docuverse.freedom.IWTDOMException;


//
//
// FreedomComponent
//
//
public abstract class FreedomComponent implements Node, NodeList
{
    // instance variables

	short				type;
	FreedomContainer	parent;
    Document            doc;
    String              name;
    String              value;

	public
	FreedomComponent (short type)
	{
		this.type = type;
	}
	
   /**
   */
   public
   FreedomComponent (Document _doc, short _type)
   {
      type = _type;
      doc = _doc;
   }

    // org.w3c.dom.Node implementation methods

	public String
	getNodeValue ()
	{
		return value;
	}

	public void
	setNodeValue (String value)
	{
		this.value = value; // just eat it
	}

	public short               
	getNodeType()
	{
		return type;
	}

	public Node              
	getParentNode()
	{
		return parent;
	}

	public NodeList      
	getChildNodes()
	{
		return this;
	}

		public Node              
	getFirstChild()
	{
		return null;
	}

		public Node              
	getLastChild()
	{
		return null;
	}

		public Node              
	getPreviousSibling()
	{
		return parent != null ? parent.prevChild(this) : null;
	}

		public Node
	getNextSibling()
	{
		return parent != null ? parent.nextChild(this) : null;
	}

		public NamedNodeMap
	getAttributes()
	{
		return null;
	}

		public Node              
	insertBefore(Node newChild, Node refChild)
		throws DOMException
	{
		//throw Freedom.exception(DOMException.NO_CHILDREN_ALLOWED_ERR);
		throw new IWTDOMException(DOMException.HIERARCHY_REQUEST_ERR);
	}

		public Node
	replaceChild(Node newChild, Node oldChild)
		throws DOMException
	{
		//throw Freedom.exception(DOMException.NO_CHILDREN_ALLOWED_ERR);
		throw new IWTDOMException(DOMException.HIERARCHY_REQUEST_ERR);
	}

		public Node              
	removeChild(Node oldChild)
		throws DOMException
	{
		//throw Freedom.exception(DOMException.NO_CHILDREN_ALLOWED_ERR);
		throw new IWTDOMException(DOMException.HIERARCHY_REQUEST_ERR);
	}

		public Node
	appendChild(Node newChild)
	{
		//throw Freedom.exception(DOMException.NO_CHILDREN_ALLOWED_ERR);
		throw new IWTDOMException(DOMException.HIERARCHY_REQUEST_ERR);
	}

		public boolean
	hasChildNodes()
	{
		return false;
	}

		public Node               
	cloneNode(boolean deep)
	{
		return null;	//TODO
	}

		public boolean            
	equals(Node arg, boolean deep)
	{
		return true;	//TODO
	}

	public Document            
	getOwnerDocument()
	{
		return doc;	//TODO
	}

// org.w3c.dom.NodeList implementation methods

		public Node
	item(int index)
	{
		return null;
	}


	public int
	getSize()
	{
		return 0;
	}

	public int
	getLength()
	{
		return 0;
	}

    // 
	public void           
	setOwnerDocument(Document _doc) { doc=_doc;	}

}

