package edu.npac.iwt.dom;

import org.w3c.dom.*;

//
//
// FreedomDocumentType
//
//
public class FreedomDocumentType extends FreedomComponent
	implements DocumentType
{
	String					name;
	FreedomNamedNodeMap		entities;
	FreedomNamedNodeMap		notations;


		public
	FreedomDocumentType ()
	{
		super(DOCUMENT_TYPE_NODE);

		entities = new FreedomNamedNodeMap();
		notations = new FreedomNamedNodeMap();
	}

// org.w3c.dom.Node impl.

		public String
	getNodeName ()
	{
		return "#document-type";
	}

// org.w3c.dom.DocumentType impl.

		public String
	getName()
	{
		return name;
	}

		public void
	setName(String arg)
	{
		name = arg;
	}

		public NamedNodeMap
	getEntities()
	{
		return entities;
	}

		public NamedNodeMap
	getNotations()
	{
		return notations;
	}
}
