package edu.npac.iwt.dom;

import java.util.*;

//
//
// FreedomDriverSupport
//
//
public class FreedomDriverSupport
{
	protected Properties		properties;
	protected Throwable			error;

		public
	FreedomDriverSupport ()
	{
		reset();
	}

// DOMImplementation impl.

		public boolean
	hasFeature (String feature, String version)
	{
		// Despite the spec, allow values other than
		// "XML" and "HTML".
		// return "XML".equalsIgnoreCase(feature);
		return true;
	}

// FreedomDriver partial impl.

		public void
	reset ()
	{
		error = null;
	}

		public Throwable
	getError ()
	{
		return error;
	}

		public void
	setError (Throwable ex)
	{
		error = ex;

		System.out.println(ex);
		ex.printStackTrace();
	}

		public Object
	getProperty (String name)
	{
		return properties != null ? properties.getProperty(name) : null;
	}

		public void
	setProperty (String name, Object value)
	{
		if (properties == null)
			properties = new Properties();

		properties.put(name, value);
	}
}

