package edu.npac.iwt.dom;

import java.util.*;
import org.w3c.dom.*;

//
//
// FreedomNamedNodeList
//
//
public final class FreedomNamedNodeMap extends Hashtable
	implements NamedNodeMap
{
    Hashtable vals;

    public FreedomNamedNodeMap() 
    { 
       //System.out.println("In FreedomNamedNodeMap"); 
       vals = new Hashtable();
    }//  

// org.w3c.dom.NamedNodeMap

	public Node
	getNamedItem(String name)
	{
		return (Node)vals.get(name);
	}

    /** Needs more work */
	public Node               
	setNamedItem(Node node)
	{
        Node ret = getNamedItem(node.getNodeName());
        if(ret!=null) vals.remove(node.getNodeName());
		vals.put(node.getNodeName(), node);
        return ret; 
	}

	public Node               
	removeNamedItem(String name)
	{
       Node ret = getNamedItem(name);
       if( ret==null ) throw new IWTDOMException(DOMException.NOT_FOUND_ERR);
	   return ret;

	}// end of removeNamedItem()

	public Node               
	item(int indx)
	{
        int index = indx;
		if (index < 0 || index >= vals.size()) return null;

		Enumeration enum = vals.elements();
		while (index-- > 0) enum.nextElement();
        Node ret = (Node)enum.nextElement();

        //System.out.println(" item: "+indx+" is "+ret.getNodeName());
		return ret;
	}

	public int                
	getSize() { return vals.size(); }

	public int                
	getLength() { return vals.size(); }

}

