/** XslBadFileException.java
 */
/**
 * The exception used by XslEval. 
 * @see fr.dyade.koala.xml.xsl.XslEval
 * @version 0.6b2
 * @author  Jeremy CALLES
 */
/**
 * Exception used by DOM Parse. 
 * @see fr.dyade.koala.xml.xsl.XslEval
 * @version 0.5b
 * @author  Jeremy CALLES
 */
package  fr.dyade.koala.xml.xsl.exception;
public class XSLBadFileException extends java.lang.RuntimeException{ 
    /**
     * Constructs an XSLBadFileException without a
     * message.
     *
     */
    public XSLBadFileException() {
        super();
    }
    /**
     * Constructs an XSLBadFileException with the specified detail
     * message.
     *
     * @param   s   the detail message.
     */
    public XSLBadFileException(String s) {
        super(s);
    }
}
