/** XslFatalErrorException.java
 */
/**
 * The exception used by the ErrorHandler. 
 * @see fr.dyade.koala.xml.xsl.ErrorHandler
 * @version 0.7b1
 * @author  Jeremy CALLES
 */
/**
 * Exception used by DOM Parse. 
 * @see fr.dyade.koala.xml.xsl.XslEval
 * @version 0.5b
 * @author  Jeremy CALLES
 */
package  fr.dyade.koala.xml.xsl.exception;
public class XSLFatalErrorException extends java.lang.RuntimeException{ 
    /**
     * Constructs an XSLBadFileException without a
     * message.
     *
     */
    public XSLFatalErrorException() {
        super();
    }
    /**
     * Constructs an XSLBadFileException with the specified detail
     * message.
     *
     * @param   s   the detail message.
     */
    public XSLFatalErrorException(String s) {
        super(s);
    }
}
