package fr.dyade.koala.xml.xsl.util;
import java.util.Vector;
import java.util.Enumeration;
/** myVector.java
 */
/** This class extends java.util.Vector.
 *  you can merge 2 vector by using the <b>merge</b> method.
 *  @author Jrmy CALLES
 *  @version 0.7b
 *  @see fr.dyade.koala.xml.xsl.XSLTags
 */
public class myVector  extends Vector{
    
    /** Insert a Vector at the end
     *  @param other the name of the vector to insert at the end 
     */
    public void merge(Vector other){
	ensureCapacity(other.size());
	Enumeration enum = other.elements();
	Object elem = null;
	while (enum.hasMoreElements()){
	    elem = enum.nextElement();
	    addElement(elem);
	}     
    }
    /** Insert a Vector at <b>i</b>
     *  @param other the name of the vector to insert at 
     *  @param i     the index where to begin inserting the vector
     */
    public void merge(Vector other,int i){
	ensureCapacity(other.size());
	Enumeration enum = other.elements();
	Object elem = null;
	while (enum.hasMoreElements()){
	    elem = enum.nextElement();
	    insertElementAt(elem,i++);
	}     
    }
    
}
