package iwt.rdf;

import org.w3c.dom.*;

import java.net.URL;

public interface RDFElementFactory {
   
   public RDFElement getRDFElement(URL url) ;

   public RDFElement getRDFElement(String fileName) ;

   public RDFElement getRDFElement(Document doc) ;  

   public RDFElement getRDFElement(Element aNode) ;

}

