package iwt.rdf;

public abstract class RDFException extends RuntimeException {

 public static final int INDEX_SIZE_ERR   = 1;
 public static final int NOT_RESOURCE_ERR = 2;
 public static final int NOT_LITERAL_ERR  = 3;
 public static final int NOT_ABOUT_ERR    = 4;
 public static final int NOT_ID_ERR       = 5;

 public int   code;

 public RDFException(int code, String message) {
      super(message);
      this.code = code;
 }

}

