package iwt.web.server;

import java.io.OutputStream;
import java.util.Properties;

/**
* @author H. Timucin Ozdemir
* @date March 9, 1999 (Updated on March 9, 1999)
*/
public abstract interface HttpResource 
{
   /**
   * @param sProps Server Properties.
   * @param resourceName Resource Name
   * @param qStr  QueryString
   * @param pStream Output
   * @param props Current HTTP Request's properties
   */
   public abstract void 
   handleResource( Properties sProps, String resourceName, QueryString qStr, 
                   OutputStream pStream, Properties props, HttpRequest req);

   public abstract void
   setServer(HttpServer aServer);
}
