package iwt.web.xmldomxsl;

public class 
XMLUtilityException extends RuntimeException 
{
  public static final int NOT_KNOWN= 0;
  public static final int NOT_SUPPORTED_ERR= 1;
  public static final int DOM_NOT_FOUND= 2;
  public static final int XSL_NOT_FOUND= 3;

  public int   code;
  String mess ;

  public XMLUtilityException(int code, String message) 
  {
    super(message);
    this.code = NOT_KNOWN;
    mess = message;

    if(code>=NOT_KNOWN&&code<=XSL_NOT_FOUND) this.code = code;

  }// end of COnSTRUCTOR

  public XMLUtilityException(String message) 
  {
    super(message);
    this.code = NOT_KNOWN;
    mess = message;

  }// end of COnSTRUCTOR

  public XMLUtilityException(int _code) 
  {
    this.code = NOT_KNOWN;
    switch(_code)
    {
      case NOT_SUPPORTED_ERR: mess = new String("Not Supported"); break; 
      case DOM_NOT_FOUND    : mess = new String("DOM Implementation not Found"); break; 
      case XSL_NOT_FOUND    : mess = new String("XSL not found "); break; 
      default: mess = new String("Not Known!");

    }// end of switch()
    
  }// end of CONSTRUCTOR

  public String getMessage() { return mess ; }

}// end of XMLUtilityException

