package org.w3c.dom;

public interface Element extends Node {
   public String             getTagName();

   public String             getAttribute(String name);
   public void               setAttribute(String name, 
                                          String value)
                                          throws DOMException;
   public void               removeAttribute(String name)
                                             throws DOMException;
   public Attr               getAttributeNode(String name);
   public Attr               setAttributeNode(Attr newAttr)
                                              throws DOMException;
   public Attr               removeAttributeNode(Attr oldAttr)
                                                 throws DOMException;
   public NodeList           getElementsByTagName(String name);
   public void               normalize();
}

