# JAVA Installation
JAV_HOME = /usr/npac/jdk1.1.6

# javac 
JAVAC    = $(JAV_HOME)/bin/javac

# java 
JAVA     = $(JAV_HOME)/bin/java

# org.w3c.dom and org.xml.sax packages 
W3C_HOME = /project/iwt98/oldiwt98/iwt_worb/p/projects/tinyserver

# FESI: A free ECMAScript Interpreter written in Java. 
FESI     =  /project/iwt98/oldiwt98/iwt_worb/p/projects/xslp/Fesi.jar

# XSLP: A free XSL Engine written in Java, conforms XSL Spec (Dec.1998). 
XLPS     =  /project/iwt98/oldiwt98/iwt_worb/p/projects/xslp/xslp.jar

# LotusXSL: A XSL Engine written in Java, conforms XSL Spec (Dec.1998). 
LotusXSL =  /project/iwt98/oldiwt98/iwt_worb/p/projects/lotusxsl

# XML For Java by IBM. Validating XML Parser.
XML4J    = /project/iwt98/oldiwt98/iwt_worb/p/projects/xmlj_14/xml4j/xml4j_1_1_14.jar

CPATH    = $(JAV_HOME)/classes:$(JAV_HOME)/lib/classes.zip:$(W3C_HOME)/classes:$(W3C_HOME)/src:$(XML4J):$(FESI):$(XLPS):$(LotusXSL):$(PACKAGE_PATHS)

.SUFFIXES : .java .class
.java.class:
	$(JAVAC) -depend -classpath $(CPATH)  $<

RM = rm
CP = mv

