package edu.npac.iwt.dom;

import org.w3c.dom.*;

//
//
// FreedomEntity
//
//
public class 
FreedomEntity extends FreedomComponent implements Entity
{
   String		name;
   String		publicId;
   String		systemId;

   public
   FreedomEntity ()
   {
      super(ENTITY_NODE);      
      name = new String("#entity");
   }
 
   public
   FreedomEntity (String _name, String _publicId, String _systemId )
   {
      super(ENTITY_NODE);
      name = new String(_name);
      publicId = new String(_publicId);
      systemId = new String(_systemId);
   }

   // org.w3c.dom.Node impl.

   public String
   getNodeName () { return name; }

// org.w3c.dom.Entity impl.

		public String
	getPublicId()
	{
		return publicId;
	}

		public void
	setPublicId(String arg)
	{
		publicId = arg;
	}

		public String
	getSystemId()
	{
		return systemId;
	}

		public void
	setSystemId(String arg)
	{
		systemId = arg;
	}

		public String
	getNotationName()
	{
		return name;
	}

		public void
	setNotationName(String arg)
	{
		name = arg;
	}
}

