package edu.npac.iwt.dom;

import org.w3c.dom.*;

/**
*
* IWTEntityReference
*
*/
public class 
IWTEntityReference extends FreedomComponent implements EntityReference
{
   String name;

   /** */
   public IWTEntityReference (Document _doc, String _name)
   {
      super(ENTITY_REFERENCE_NODE);
      name = new String(_name);
   }
  
   /** */
   public IWTEntityReference ()
   { this(null,"#entity-reference"); }
 
   /** */
   public IWTEntityReference (String _name)
   { this(null,_name); }
  
   // org.w3c.dom.Node impl.
   public String getNodeName () { return name; }

}// end of IWTEntityReference
