package edu.npac.iwt.rdf;

import java.util.*;

import org.w3c.dom.*;
import iwt.rdf.*;

import edu.npac.iwt.dom.*;

/**
*
* @author H. Timucin Ozdemir
* @date   February 22, 1999
*
*/
public class IWTElementSet extends FreedomElement 
{

   Vector properties = new Vector();
   int    current=0; // iterator

   public IWTElementSet(Document _doc, String _tag) { super(_doc,_tag); }

   /**
   */
   public Node  
   item(int i) throws RDFException
   {
      Node ret=null;

      if(i>=0 && i<properties.size()) 
         ret = (Node)properties.elementAt(i);

      else throw new IWTRDFException(RDFException.INDEX_SIZE_ERR);

      return ret;

   }// end of item()

   /**
   */
   public Node next() throws RDFException { return item(current++); }

   /**
   */
   public void reset() { current=0; }

   /**
   */
   public int  getLength()  { return properties.size(); }

   protected void addElement(Text aNode)
   {
      if( aNode!=null ) properties.addElement(aNode);
   }

}// end of IWTElementSet

