package edu.npac.iwt.rdf;

import iwt.rdf.*;

import org.w3c.dom.Document;
import edu.npac.iwt.dom.*;

import java.util.*;

/**
*
* @author H. Timucin Ozdemir
* @date   Februarary 22, 1999
*
*/
public class RDF extends FreedomElement implements RDFElement 
{

   IWTDescriptionList descriptions = null;

   /**
   */
   public RDF(Document _doc) 
   { super(_doc,"rdf:RDF"); 
     descriptions = new IWTDescriptionList(_doc);
   }

   /**
   */
   public DescriptionList  
   getDescriptionElements()
   {
      return descriptions;
   }

   /**
   */
   protected void
   addDescription(DescriptionElement aDesc)
   {
      if(descriptions!=null && aDesc!=null) descriptions.addElement(aDesc);
   }

}// end of RDF

