package  fr.dyade.koala.xml.xsl.util;
/** Files.java
 */
/** Utility class to write easily a String to a File.
 * @version 0.7b
 * @author  Jeremy CALLES
 */
import java.io.*;
public final class Files{
    /** Write a String to a File
     *  @param name the filename
     *  @param toBeWritten the String to write
    */
    public static void StringToFile(String name, String toBeWritten){
	File f = new File(name); 
	FileOutputStream fos;
	try{
	    fos = new FileOutputStream(f);
	    StringToOutputStream(fos,toBeWritten);
	} catch (IOException e){
	    e.printStackTrace();
	}
    }   
    /** Write a String to an OutputStream 
     *  @param os the OutputStream
     *  @param toBeWritten the String to write
     */
    public static void StringToOutputStream(OutputStream os, String toBeWritten){
	OutputStreamWriter osw = new OutputStreamWriter(os);
	try{
	    osw.write(toBeWritten,0,toBeWritten.length());
	    osw.close();
	} catch (IOException e){
	    e.printStackTrace();
	}
    }

}
