package iwt.web.server;

import java.util.Properties;

/**
* Encapsulates the QueryString.
*/
public class QueryString extends Properties 
{

   public void buildQueryString(String query)
   {
      clear();
      if( query!=null && query.trim().length()>0)
      {
        String a = query.trim();
        if(a.startsWith("?")) extractParameters(a.substring(1).trim());
        else extractParameters(a);
      }// end of if

   }// end of buildQueryString()

   void extractParameters(String query)
   {
      String aPart = null;
      int eIndx, andIndx;
      String rest = query;
      while( rest!=null && rest.length()>0)
      {
         eIndx   = rest.indexOf('=');
         andIndx = rest.indexOf('&');
         if(eIndx>0&&eIndx<rest.length())
         {
            aPart = rest.substring(0,eIndx);
            if(andIndx<1||andIndx>rest.length()) andIndx=rest.length();
            if(aPart.trim().length()>0)
               put(aPart,rest.substring(eIndx+1,andIndx));

         } else rest=null;

         if(rest!=null&&andIndx<rest.length())
             rest = rest.substring(andIndx+1);
         else rest=null;
         System.out.println("rest:"+rest);

      }// end of while

   }// end of extractParameters()

}// end of QueryString

